Apache HugeGraph-Server<1.3.0 Gremlin命令执行漏洞

来源: 投稿
2024-04-24 10:31:00

漏洞描述

Apache HugeGraph-Server 是一个开源大规模图数据库管理系统。Gremlin 用于在图数据库上进行数据查询和操作。

由于1.0.0到1.3.0版本默认未开启身份验证,攻击者可通过直接访问RESTful API 执行Gremlin命令,查询其中数据。

生产环境建议开启身份验证,并启用“IP/端口白名单”功能以增强RESTful API的安全性。

漏洞名称 Apache HugeGraph-Server<1.3.0 Gremlin命令执行漏洞
漏洞类型 代码注入
发现时间 2024-04-22
漏洞影响广度
MPS编号 MPS-5hs6-vtei
CVE编号 CVE-2024-27348
CNVD编号 -

影响范围

org.apache.hugegraph:hugegraph-server@[1.0.0, 1.3.0)

修复方案

升级hugegraph到 1.3.0 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-5hs6-vtei

https://seclists.org/oss-sec/2024/q2/160

https://nvd.nist.gov/vuln/detail/CVE-2024-27348

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部